%define upstream_name Number-Misc
%define upstream_version 1.2

%{?perl_default_filter}

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 7

Summary:	Handy utilities for numbers
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		https://metacpan.org/release/%{upstream_name}
Source0:	https://cpan.metacpan.org/modules/by-module/Number/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:	perl(Module::Build)

BuildArch:	noarch

%description
Number::Misc provides some miscellaneous handy utilities for handling
numbers. These utilities handle processing numbers as strings,
determining basic properties of numbers, or selecting a random number
from a range.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Build.PL --installdirs=vendor

./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes LICENSE META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Thu Jun 26 2025 umeabot <umeabot> 1.200.0-7.mga10
+ Revision: 2200049
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 1.200.0-6.mga9
+ Revision: 1805016
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.200.0-5.mga8
+ Revision: 1496149
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 1.200.0-4.mga7
+ Revision: 1270205
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 1.200.0-3.mga6
+ Revision: 1031351
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 1.200.0-2.mga6
+ Revision: 966489
- Mageia 6 Mass Rebuild

* Sat Jun 27 2015 sander85 <sander85> 1.200.0-1.mga6
+ Revision: 845784
- update to 1.2

* Wed Oct 15 2014 umeabot <umeabot> 1.100.0-3.mga5
+ Revision: 739042
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.100.0-2.mga5
+ Revision: 685760
- Mageia 5 Mass Rebuild

* Mon May 19 2014 sander85 <sander85> 1.100.0-1.mga5
+ Revision: 623841
- imported package perl-Number-Misc

